
Redmine - Feature #7996

Bulk edit and context menu for time entries

2011-03-25 18:08 - Adam Soltys

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 100%

Category: Time tracking Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed   

Description

The bulk edit and right-click context menu for issues is wonderful.  Time entries could benefit from a similar type of functionality.  I am

going to look at implementing this.

Related issues:

Related to Redmine - Defect #9405: Any user with :log_time permission can edi... Closed 2011-10-11

Has duplicate Redmine - Feature #7810: Allow mass spent time update Closed 2011-03-08

Has duplicate Redmine - Feature #6647: mass update of multiple time entries Closed 2010-10-12

Associated revisions

Revision 5309 - 2011-04-04 13:51 - Toshi MARUYAMA

add context menu in time entries for bulk edit (#7996).

Contributed by Adam Soltys.

Revision 5310 - 2011-04-04 13:51 - Toshi MARUYAMA

update locales for bulk edit time entries (#7996).

Revision 5311 - 2011-04-04 13:52 - Toshi MARUYAMA

add view for bulk edit time entries (#7996).

Contributed by Adam Soltys.

Revision 5312 - 2011-04-04 13:53 - Toshi MARUYAMA

add controller for bulk edit time entries (#7996).

Contributed by Adam Soltys.

Revision 5313 - 2011-04-04 13:53 - Toshi MARUYAMA

add bulk edit and bulk update actions for time entries (#7996).

get bulk edit form action working by mapping permissions.

Contributed by Adam Soltys.

Revision 5314 - 2011-04-04 13:53 - Toshi MARUYAMA

add bulk edit items and context menu in time entries list view (#7996).

get bulk edit form action working by mapping permissions.

Contributed by Adam Soltys.

Revision 5315 - 2011-04-04 13:54 - Toshi MARUYAMA

add functional tests for bulk edit time entries (#7996).

Contributed by Adam Soltys.

Revision 5316 - 2011-04-04 13:54 - Toshi MARUYAMA
add function of bulk delete time entries (#7996).

Contributed by Adam Soltys.

Revision 5317 - 2011-04-04 13:55 - Toshi MARUYAMA

update locales for bulk delete time entries (#7996).

Revision 5318 - 2011-04-05 13:38 - Jean-Philippe Lang

Fixed: DoubleRenderError introduced by #7996.

History

#1 - 2011-03-27 08:01 - Adam Soltys

- % Done changed from 0 to 40

Making progress here: https://github.com/asoltys/redmine/tree/bulk_time_entry_edit

#2 - 2011-03-29 21:11 - Adam Soltys

- File bulk_time_entry_edit.diff added

- % Done changed from 40 to 100

I think I've finished implementing this feature.  You can now go into the time log detail view of a project and select one or multiple time entries by ctrl-

or shift-clicking them.  Right clicking brings up a context menu that you can use to immediately change the activity field for all selected entries, bring

up a bulk edit form for all of them, or delete them all.

The patch applies to r5246 and I've included some tests.  Please review and let me know if it's ok.  I'll send a pull request to Toshi on Github as well.

#3 - 2011-03-29 21:25 - Adam Soltys

- Assignee deleted (Adam Soltys)

#4 - 2011-03-29 21:29 - Adam Soltys

Created pull request: https://github.com/marutosi/redmine/pull/3

#5 - 2011-03-29 23:41 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#6 - 2011-03-30 07:03 - Hans Bangkok

Sounds great Adam, I'll definitely check it out when it hits a release!

#7 - 2011-03-30 20:35 - Adam Soltys

- File time_entries_bulk_edit_form.png added

- File time_entry_context_menu.png added

Adding screenshots

#8 - 2011-04-04 13:58 - Toshi MARUYAMA

- Target version set to 1.2.0

#9 - 2011-04-04 14:00 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

I finished committing in r5317.

Thanks.

#10 - 2011-04-04 22:54 - Adam Soltys

Thanks for looking at this and committing it Toshi!
bulk_time_entry_edit.diff 40.7 KB 2011-03-29 Adam Soltys

time_entries_bulk_edit_form.png 27.8 KB 2011-03-30 Adam Soltys

time_entry_context_menu.png 103 KB 2011-03-30 Adam Soltys
